Index: libcfa/src/heap.cfa
===================================================================
--- libcfa/src/heap.cfa	(revision 4af5396caad4605b138ead74b53857a746688724)
+++ libcfa/src/heap.cfa	(revision f82f07ec30baf11cb5f8e4a153505ce9d7180c63)
@@ -10,6 +10,6 @@
 // Created On       : Tue Dec 19 21:58:35 2017
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Thu Oct 13 21:41:32 2022
-// Update Count     : 1553
+// Last Modified On : Wed Oct 12 18:06:01 2022
+// Update Count     : 1528
 //
 
@@ -515,5 +515,4 @@
 		} // with
 	} // if
-
 	return heap;
 } // getHeap
@@ -586,5 +585,5 @@
 		// allocUnfreed is set to 0 when a heap is created and it accumulates any unfreed storage during its multiple thread
 		// usages.  At the end, add up each heap allocUnfreed value across all heaps to get the total unfreed storage.
-		int64_t allocUnfreed = 0;
+		long long int allocUnfreed = 0;
 		for ( Heap * heap = heapMaster.heapManagersList; heap; heap = heap->nextHeapManager ) {
 			allocUnfreed += heap->allocUnfreed;
@@ -1043,5 +1042,5 @@
 			if ( errno == ENOMEM ) abort( NO_MEMORY_MSG, tsize ); // no memory
 			// Do not call strerror( errno ) as it may call malloc.
-			abort( "**** Error **** attempt to allocate large object (> %zu) of size %zu bytes and mmap failed with errno %d.", size, heapMaster.mmapStart, errno );
+			abort( "attempt to allocate large object (> %zu) of size %zu bytes and mmap failed with errno %d.", size, heapMaster.mmapStart, errno );
 		} // if
 		block->header.kind.real.blockSize = MarkMmappedBit( tsize ); // storage size for munmap
@@ -1107,5 +1106,5 @@
 		if ( unlikely( munmap( header, size ) == -1 ) ) {
 			// Do not call strerror( errno ) as it may call malloc.
-			abort( "**** Error **** attempt to deallocate large object %p and munmap failed with errno %d.\n"
+			abort( "attempt to deallocate large object %p and munmap failed with errno %d.\n"
 				   "Possible cause is invalid delete pointer: either not allocated or with corrupt header.",
 				   addr, errno );
@@ -1217,9 +1216,9 @@
 
 #ifdef __STATISTICS__
-static void incCalls( intptr_t statName ) libcfa_nopreempt {
+static void incCalls( long int statName ) libcfa_nopreempt {
 	heapManager->stats.counters[statName].calls += 1;
 } // incCalls
 
-static void incZeroCalls( intptr_t statName ) libcfa_nopreempt {
+static void incZeroCalls( long int statName ) libcfa_nopreempt {
 	heapManager->stats.counters[statName].calls_0 += 1;
 } // incZeroCalls
@@ -1227,5 +1226,5 @@
 
 #ifdef __CFA_DEBUG__
-static void incUnfreed( intptr_t offset ) libcfa_nopreempt {
+static void incUnfreed( size_t offset ) libcfa_nopreempt {
 	heapManager->allocUnfreed += offset;
 } // incUnfreed
@@ -1568,5 +1567,5 @@
 		if ( write( STDERR_FILENO, MALLOC_STATS_MSG, sizeof( MALLOC_STATS_MSG ) - 1 /* size includes '\0' */ ) == -1 ) {
 		#endif // __STATISTICS__
-			abort( "**** Error **** write failed in malloc_stats" );
+			abort( "write failed in malloc_stats" );
 		} // if
 	} // malloc_stats
Index: tests/alloc.cfa
===================================================================
--- tests/alloc.cfa	(revision 4af5396caad4605b138ead74b53857a746688724)
+++ tests/alloc.cfa	(revision f82f07ec30baf11cb5f8e4a153505ce9d7180c63)
@@ -10,6 +10,6 @@
 // Created On       : Wed Feb  3 07:56:22 2016
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Thu Oct 13 21:39:34 2022
-// Update Count     : 449
+// Last Modified On : Fri Jul 29 10:57:02 2022
+// Update Count     : 436
 //
 
@@ -180,30 +180,30 @@
 	};
 
-	ip = alloc();
+    ip = alloc();
 	*ip = 5;
-	double * dp = alloc( ip`resize );
+    double * dp = alloc( ip`resize );
 	*dp = 5.5;
-	S * sp = alloc( dp`resize );
+    S * sp = alloc( dp`resize );
 	*sp = (S){ {0, 1, 2, 3, 4} };
-	ip = alloc( sp`resize );
+    ip = alloc( sp`resize );
 	*ip = 3;
-	free( ip );
+    free( ip );
 
 
 	// resize, array types
 
-	ip = alloc( 5 );
+    ip = alloc( 5 );
 	for ( i; 5 ) { ip[i] = 5; }
-	dp = alloc( 5, ip`resize );
+    dp = alloc( 5, ip`resize );
 	for ( i; 5 ) { dp[i] = 5.5; }
-	sp = alloc( 5, dp`resize );
+    sp = alloc( 5, dp`resize );
 	for ( i; 5 ) { sp[i] = (S){ {0, 1, 2, 3, 4} }; }
-	ip = alloc( 3, sp`resize );
+    ip = alloc( 3, sp`resize );
 	for ( i; 3 ) { ip[i] = 3; }
-	ip = alloc( 7, ip`realloc );
+    ip = alloc( 7, ip`realloc );
 	for ( i; 7 ) { ip[i] = 7; }
-	ip = alloc( 7, ip`resize );
+    ip = alloc( 7, ip`resize );
 	for ( i; 7 ) { ip[i] = 7; }
-	free( ip );
+    free( ip );
 
 
@@ -217,5 +217,5 @@
 		const_count++;
 	}
-	void ^?{}( Struct & a ) { dest_count++; }			// destruct
+	void ^?{}( Struct & a ) {  dest_count++; }			// destruct
 	Struct st, st1, sta[dim], sta1[dim], * stp, * stp1;
 
